This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 849172 - (CVE-2012-3488) CVE-2012-3488 postgresql (xml2 contrib module): XXE by applying XSL stylesheet to the document
CVE-2012-3488 postgresql (xml2 contrib module): XXE by applying XSL styleshee...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120817,repor...
: Security
Depends On: 849174 852015 852016 852018 852019 852020 852021
Blocks: 849179
  Show dependency treegraph
 
Reported: 2012-08-17 10:59 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:10 EST (History)
3 users (show)

See Also:
Fixed In Version: postgresql 9.1.5, postgresql 9.0.9, postgresql 8.4.13, postgresql 8.3.20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 16:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-17 10:59:40 EDT
An XML External Entities (XXE) attack was found in the way xml2 contrib module, providing XPath querying and XSLT functionality, of PostgreSQL, an advanced Object-Relational database management system (DBMS), performed processing of XSLT documents. When the xml2 contrib module was enabled an unprivileged database user could issue a specially-crafted SQL query to the PostgreSQL server that, when processed could lead to attacker's ability to read or write (alter) arbitrary system files, accessible with the privileges of the user running the PostgreSQL server.

References:
[1] http://www.postgresql.org/docs/8.3/static/release-8-3-20.html
[2] http://www.postgresql.org/docs/9.0/static/release-9-0-9.html
[3] http://www.postgresql.org/docs/9.1/static/release-9-1-5.html
Comment 1 Jan Lieskovsky 2012-08-17 11:10:57 EDT
This issue affects the versions of the postgresql package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-08-17 11:11:58 EDT
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 849174]
Comment 4 Fedora Update System 2012-08-25 20:21:41 EDT
postgresql-9.1.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-25 20:25:54 EDT
postgresql-9.1.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Jan Lieskovsky 2012-08-27 05:48:30 EDT
This issue affects the version of the postgresql package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the version of the postgresql84 package, as shipped with
Red Hat Enterprise Linux 5.
Comment 11 Vincent Danen 2012-09-12 13:36:53 EDT
Acknowledgements:

Red Hat would like to thank the PostgreSQL project for reporting this
issue. Upstream acknowledges Peter Eisentraut as the original reporter.
Comment 12 errata-xmlrpc 2012-09-13 13:05:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1264 https://rhn.redhat.com/errata/RHSA-2012-1264.html
Comment 13 errata-xmlrpc 2012-09-13 13:17:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1263 https://rhn.redhat.com/errata/RHSA-2012-1263.html

Note You need to log in before you can comment on or make changes to this bug.